--/Example 04

--/ Example of using column aliases during data retrieval from a table

SELECT CategoryID, CategoryName, Description, Picture FROM Categories

--/ If this is being used to create a view, or data for a report where the end user may well be working with the field names
-- these field name are a little 'basic' and using column aliases can be turned into more meaningfull names

SELECT 	CategoryID AS Product_Category_ID, CategoryName AS [Category Name], Description [Product Description],
	Picture [Product "Picture"] FROM Categories

--/ Note that we can use the AS command to tell SQL to replace the column name with the chosen alias but that it is NOT
--/ necessary. HOWEVER, in complex queries and especially when reviewing queries written some time ago, having the AS
--/ word in there does help and I recommend using it. Notice the use of square brackets to provide an alias
--/ with spaces or unusual characters

--/ We can also use the = symbol as an alternative to the AS command - though I personally don't like this method

SELECT 	Product_Category_ID = CategoryID, [Category Name] = CategoryName, [Product Description] = Description,
	[Product "Picture"] = Picture FROM Categories

--/ Column aliases can come in very useful when creating VIEWS, FUNCTIONS and STORED PROCEDURES and as a developer
--/ you want to protect (and hide) with security the underlying table column details 